## dis51 0.5

=== Makefile ===
CC=gcc
CFLAGS=-c -I. -Wall
LDFLAGS=
SHAREDLDFLAGS=-lhexfile

OBJECTS=main.o pass1.o pass2.o global.o
HFOBJ=hexfile.o

default: dis51

dis51: $(OBJECTS) $(HFOBJ)
	$(CC) $(LDFLAGS) $(OBJECTS) $(HFOBJ) -o dis51

main.o: pass1.h main.c
	$(CC) $(CFLAGS) main.c -o main.o

pass1.o: pass1.c distypes.h global.h
	$(CC) $(CFLAGS) pass1.c -o pass1.o

pass2.o: pass2.c distypes.h global.h
	$(CC) $(CFLAGS) pass2.c -o pass2.o

global.o: global.c distypes.h
	$(CC) $(CFLAGS) global.c -o global.o

hexfile.o: hexfile.c
	$(CC) $(CFLAGS) hexfile.c -o hexfile.o

# use "make shared" if you have libhexfile installed as a shared library
shared: $(OBJECTS)
	$(CC) $(SHAREDLDFLAGS) $(OBJECTS) -o dis51

clean:
	rm -f *.o dis51 core

=== debian/changelog ===
dis51 (0.5-2) unstable; urgency=medium

  * Team upload.
  * d/watch, d/control: new homepage (Closes: #551349, #1081583)
  * d/p/
    0002 Fix lbl definition to match declaration (Closes: #748394)
    0003 Don't memset(0) statics
  * d/rules: hardening
  * d/copyright: DEP-5
  * d/copyright: old-fsf-address-in-copyright-file
  * Add manual
  * Standards-Version: 4.7.0 (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Vcs-Git: https://salsa.debian.org/salvage-team/dis51.git
  * Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
    Closes: #1087634

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Sat, 16 Nov 2024 16:12:14 +0100

dis51 (0.5-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Port to debhelper 13. (Closes: #965488)
    - Remove debian/compat
    - Update debian/control
      + change priority from extra to optional
    - Update debian/rules
      + drop cdbs build-dependency
    - Add debian/dis51.install to install /usr/bin/dis51
  * Use DebSrc3.0 (quilt) format.
    - Add debian/patches/0001_format_string.patch

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 01 Jun 2022 04:10:31 +0800

dis51 (0.5-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: pass2.c:186:4: error: format not a string literal and no
    format arguments [-Werror=format-security]": apply patch from Eric
    Alexander to add a format argument.
    (Closes: #643374)

 -- gregor herrmann <gregoa@debian.org>  Sun, 20 Nov 2011 14:51:07 +0100

dis51 (0.5-1) unstable; urgency=low

  * Initial release (Closes: #466165).

 -- Uwe Hermann <uwe@debian.org>  Sun, 17 Feb 2008 15:52:20 +0100

=== debian/control ===
Source: dis51
Section: devel
Priority: optional
Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
Uploaders: Uwe Hermann <uwe@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.0
Homepage: http://plit.de/asem-51/dis51.html
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/salvage-team/dis51
Vcs-Git: https://salsa.debian.org/salvage-team/dis51.git

Package: dis51
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Disassembler for 8051 code in Intel Hex format
 Dis51 is a simple 8051 disassembler. It takes an object file in
 Intel Hex (*.ihx or *.hex) format as input, and outputs an assembly
 language file.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- CFLAGS="$(CFLAGS) -c -I. $(CPPFLAGS)" LDFLAGS="$(CFLAGS) $(LDFLAGS)"

=== debian/watch ===
version=4
https://plit.de/asem-51/dis51.html dis51-(.*)\.tar\.gz
